# Knowledge Space WP Plugin

Provides a plugin for the Wordpress CMS to display data in a 3-dimensional graph.

## Development

### Installation
1. Install a webserver which supports PHP as well as a database.
2. Download and setup Wordpress.
3. Clone the repository into the WP-directory wp-conntent/plugins.
4. Activate the plugin in Wordpress in the admin control page.
5. Install dependencies with npm using ``npm install``.

### Notes

This project uses prettier and eslint. Make sure to configure your IDE to use them.

To run the project run ``npm run watch``. This starts a parcel instance which automatically builds the project and updates the webserver via HMR. 

## Switching to the database version

To make sure that Wordpress created all necessary tables, please **deactivate** and then **activate** this plugin again.

To move all the old spaces to the new storage, on the admin panel **navigate to Knowledge Space > Editor**. There you **open the settings** by clicking on the cog on the right side of the toolbar. Scroll down to find the "**Import Space**" section, which you will use to import old spaces. You can find the old spaces in the plugin folder under **datasets > spaces**. For the name for the import section use the filename *without* extension ("space.json" => "space") and for the 
JSON simply use the content of the file.